Skip to main content

Certificates

Cryptographically signed rate attestations for compliance and audit.

Access: Enterprise only. All other tiers return 403.

List certificates

GET /v1/certificates/{pair}

Returns timestamps for which signed certificates exist.

Parameters

ParameterTypeRequiredDescription
pairpathYesPair identifier (e.g., BTCNGN).
startqueryNoStart date (default: 7 days ago).
endqueryNoEnd date (default: today).
limitqueryNoMax results (default: 100).

Example

curl "https://api.moxiemetrx.com/v1/certificates/BTCNGN" \
-H "X-API-Key: your_enterprise_key"
{
"pair": "BTCNGN",
"count": 100,
"certificates": [
{
"timestamp": "2026-04-03T01:40:00+00:00",
"rate": 92910142.83,
"certificate_url": "/v1/certificates/BTCNGN/2026-04-03T01:40:00+00:00"
}
]
}

Download certificate

GET /v1/certificates/{pair}/{timestamp}

Returns a full JSON certificate with HMAC-SHA256 signed audit data.

Example

curl "https://api.moxiemetrx.com/v1/certificates/BTCNGN/2026-04-03T01:40:00+00:00" \
-H "X-API-Key: your_enterprise_key"
{
"certificate_id": "CERT-BTCNGN-20260403T014000Z",
"schema_version": "1.0",
"issuer": {
"name": "Moxie Metrics",
"url": "https://moxiemetrx.com"
},
"issued_at": "2026-04-03T01:44:53.649952+00:00",
"data": {
"pair": "BTCNGN",
"base": "BTC",
"quote": "NGN",
"timestamp": "2026-04-03T01:40:00+00:00",
"rate": 92910142.83,
"currency": "NGN",
"calculation": "vwap",
"sources": ["luno", "quidax"],
"vwap_sources_count": 2
},
"verification": {
"status": "verified",
"confidence": 0.95,
"divergence_pct": 1.00,
"synthetic_price": 91959575.75,
"data_quality": "high"
},
"audit": {
"collection_id": "f390d4e8-...",
"algorithm": "HMAC-SHA256",
"signature": "27bd532b0826...",
"signed_payload": "{\"pair\":\"BTCNGN\",\"rate\":\"92910142.83333333\",\"sources\":[\"luno\",\"quidax\"],\"time\":\"2026-04-03T01:40:00+00:00\"}"
},
"customer": {
"tier": "enterprise",
"customer_name": "enterprise-test"
},
"validity": {
"not_before": "2026-04-03T01:40:00+00:00",
"not_after": null
}
}

Certificate fields

SectionDescription
dataThe rate data being attested: pair, rate, sources, calculation method.
verificationStatus, confidence, divergence from synthetic, data quality.
auditHMAC-SHA256 signature over the signed_payload. Use to verify tamper-evidence.
customerTier and customer name associated with the request.
validitynot_before = rate timestamp. not_after = null (no expiry).